POST
/DescribeSavingsPlanRates
http://savingsplans.{region}.amazonaws.com/DescribeSavingsPlanRatesDescribes the specified Savings Plans rates.
Access Token Required: API Key
Body Params
filtersarray
The filters.
nextTokenstring
The token for the next page of results.
maxResultsinteger
The maximum number of results to return with a single call. To retrieve additional results, make another call with the returned token value.
savingsPlanIdstringrequired
The ID of the Savings Plan.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://savingsplans.{region}.amazonaws.com/DescribeSavingsPlanRates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}